# -*- coding: utf-8 -*-
# Copyright (c) 2002-2009 Infrae. All rights reserved.
# See also LICENSE.txt
# $Id: setup.py 39555 2010-02-01 18:09:52Z sylvain $

from setuptools import setup, find_packages
import os

version = '2.2b1'

setup(name='Products.SilvaDocument',
      version=version,
      description="Document for Silva CMS",
      long_description=open(os.path.join("Products", "SilvaDocument", "README.txt")).read() + "\n" +
                       open(os.path.join("Products", "SilvaDocument", "HISTORY.txt")).read(),
      classifiers=[
              "Framework :: Zope2",
              "License :: OSI Approved :: BSD License",
              "Programming Language :: Python",
              "Topic :: Software Development :: Libraries :: Python Modules",
              ],
      keywords='silva cms document zope',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/silva',
      license='BSD',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
              'Products.Formulator',
              'Products.ParsedXML',
              'Products.Silva',
              'Products.SilvaExternalSources',
              'Products.SilvaKupu',
              'Products.SilvaMetadata',
              'Products.XMLWidgets',
              'Sprout',
              'setuptools',
              'silva.core.conf',
              'silva.core.interfaces',
              'silva.core.services',
              'silva.core.smi',
              'silva.core.views',
              'silva.translations',
              'zope.interface',
              ],
      )
